get project

The get project API sends a GET request to retrieve a project.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a project id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idThe ID of the projectUUID
Response Body
Field nameDescriptionFormat
idThe ID of the projectUUID
nameThe name of the projectString
createdAtTimestamp when the project was createdString
modifiedAtTimestamp when the project was last modifiedString
modifiedByThe user who last modified the projectString
sysModifiedAtSystem timestamp when the project was last modifiedString
descriptionThe description of the projectString
bookmarkedWhether the project is bookmarkedBoolean
additionalInfoAdditional infoObject
versionThe current version number of the projectInteger
versions [n]Version entry for version number nObject
technologyThe technology type of the projectString
Additional Info Structure
Field nameDescriptionFormat
numOfModulesNumber of modules in the projectInteger
numOfAssetsNumber of assets in the projectInteger
numOfMethodsNumber of methods in the projectInteger
contractNameThe contract name associated with the projectString
contractIdThe ID of the associated contractString
Version Entry Structure
Field nameDescriptionFormat
versionThe version numberInteger
reasonThe reason for this versionString
versionedByThe user who created this versionString
versionedAtTimestamp when this version was createdString

Examples

{
  "id": "00000000-0000-0000-0000-000000000111",
  "name": "project-with-modules",
  "createdAt": "2026-01-01T00:00:00.000000Z",
  "modifiedAt": "2026-01-01T00:00:00.000000Z",
  "modifiedBy": "John Doe",
  "sysModifiedAt": "2026-01-01T00:00:00.000000Z",
  "description": "",
  "bookmarked": false,
  "additionalInfo": {
    "numOfModules": 1,
    "numOfAssets": 1,
    "numOfMethods": 1,
    "contractName": "project-with-modules-contract",
    "contractId": "00000000-0000-0000-0000-000000000000"
  },
  "version": 0,
  "versions": {
    "0": {
      "version": 0,
      "reason": "Draft",
      "versionedBy": "John Doe",
      "versionedAt": "2026-01-01T00:00:00.000000Z"
    }
  },
  "technology": "HTTP"
}
Path Params
string
required
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json